Package org.pgpainless.encryption_signing

# Interface EncryptionBuilderInterface.WithOptions

Enclosing interface:
  `EncryptionBuilderInterface`

public static interface EncryptionBuilderInterface.WithOptions

## Method Summary

Modifier and Type
Method
Description
`EncryptionStream`
`withOptions(ProducerOptions options)`
Create an `EncryptionStream` with the given options (recipients, signers, algorithms...).

## Method Details

### withOptions

EncryptionStream withOptions(ProducerOptions options) throws org.bouncycastle.openpgp.PGPException, IOException
Create an `EncryptionStream` with the given options (recipients, signers, algorithms...).

Parameters:
  `options` - options
Returns:
  encryption stream
Throws:
  `org.bouncycastle.openpgp.PGPException` - if something goes wrong during encryption stream preparation
  `IOException` - if something goes wrong during encryption stream preparation (writing headers)